org.gradle.api.publish.ivy.tasks

## Class GenerateIvyDescriptor

- java.lang.Object
- - org.gradle.api.internal.AbstractTask
  - - org.gradle.api.DefaultTask
    - - org.gradle.api.publish.ivy.tasks.GenerateIvyDescriptor

- All Implemented Interfaces:
    Comparable<Task>, org.gradle.api.internal.DynamicObjectAware, org.gradle.api.internal.TaskInternal, ExtensionAware, Task, org.gradle.util.Configurable<Task>

      @Incubating
      public class GenerateIvyDescriptor
      extends DefaultTask

  Generates an Ivy XML Module Descriptor file.
  Since:
    1.4

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Task

      `Task.Namer`

  - ### Field Summary

    - ### Fields inherited from interface org.gradle.api.Task

      `TASK_ACTION, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GenerateIvyDescriptor()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `doGenerate()`
    `IvyModuleDescriptorSpec` | `getDescriptor()` The module descriptor metadata.
    `File` | `getDestination()` The file the descriptor will be written to.
    `protected org.gradle.internal.file.PathToFileResolver` | `getFileResolver()`
    `void` | `setDescriptor(IvyModuleDescriptorSpec descriptor)`
    `void` | `setDestination(Object destination)` Sets the destination the descriptor will be written to.

    - ### Methods inherited from class org.gradle.api.internal.AbstractTask

      `addValidator, appendParallelSafeAction, compareTo, configure, deleteAllActions, dependsOn, dependsOnTaskDidWork, doFirst, doFirst, doLast, doLast, execute, finalizedBy, getActionClassLoaders, getActions, getAnt, getAsDynamicObject, getConvention, getDependsOn, getDescription, getDidWork, getEnabled, getExecuter, getExtensions, getFinalizedBy, getGroup, getIdentityPath, getImpliesSubProjects, getInputs, getLogger, getLogging, getMustRunAfter, getName, getOnlyIf, getOutputs, getPath, getProject, getServices, getShouldRunAfter, getStandardOutputCapture, getState, getTaskActions, getTaskDependencies, getTemporaryDir, getTemporaryDirFactory, getValidators, hasProperty, injectIntoNewInstance, isEnabled, isHasCustomActions, leftShift, mustRunAfter, onlyIf, onlyIf, prependParallelSafeAction, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setExecuter, setFinalizedBy, setGroup, setImpliesSubProjects, setMustRunAfter, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### GenerateIvyDescriptor

          public GenerateIvyDescriptor()

  - ### Method Detail

    - #### getFileResolver

          @Inject
          protected org.gradle.internal.file.PathToFileResolver getFileResolver()

    - #### getDescriptor

          @Internal
          public IvyModuleDescriptorSpec getDescriptor()

      The module descriptor metadata.
      Returns:
        The module descriptor.

    - #### setDescriptor

          public void setDescriptor(IvyModuleDescriptorSpec descriptor)

    - #### getDestination

          @OutputFile
          public File getDestination()

      The file the descriptor will be written to.
      Returns:
        The file the descriptor will be written to

    - #### setDestination

          public void setDestination(Object destination)

      Sets the destination the descriptor will be written to. The value is resolved with `Project.file(Object)`
      Parameters:
        `destination` - The file the descriptor will be written to.

    - #### doGenerate

          public void doGenerate()